<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8"/>
        <meta content="width=device-width, initial-scale=1" name="viewport"/>
        <title>
            Inicio - Mantenimiento
        </title>
        <link href="src/datatables.min.css" rel="stylesheet" type="text/css"/>

        <link href="src/DataTables-1.12.1/css/dataTables.bootstrap.css" rel="stylesheet" type="text/css"/>
        <link href="src/Buttons-2.2.3/css/buttons.bootstrap.min.css" rel="stylesheet" type="text/css"/>

        <link href="../img/icono.png" rel="icon" type="text/css"/>
        <link href="../src/bootstrap-5.1.3-dist/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
        <link href="../src/bootstrap-icons-1.8.1/bootstrap-icons.css" rel="stylesheet" type="text/css"/>

        

        <link href="css/styles.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <div class="modals">
            <!-- Modal Cerrar sesion -->
            <div class="modal fade" id="modalConfirmacionCerrarSesion" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modalConfirmacionCerrarSesionLabel" aria-hidden="true">
              <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title col-11 text-center" id="modalConfirmacionCerrarSesionLabel">¿Desea cerrar la sesión?</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                     <div class="modal-body">
                        <div class="row text-center">
                            <div class="col">
                                <a class="btn btn-danger" href="functions/CerrarSesion.php">Cerrar Session</a>
                                <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Cancelar</button>
                            </div>
                        </div>
                     </div> 
                </div>
              </div>
            </div>
        </div>
        <header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
            <a class="navbar-brand col-md-3 col-lg-2 me-0 px-3 fs-6" href="#" style="padding-top: .90rem;padding-bottom: .90rem;">
                Muebleria Lucy
            </a>
            <button style="top: 0.25rem;right: 1rem;" aria-controls="sidebarMenu" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler position-absolute d-md-none collapsed" data-bs-target="#sidebarMenu" data-bs-toggle="collapse" type="button">
                <span class="navbar-toggler-icon">
                </span>
            </button>
            
            <div class="navbar-nav" style="width: 100%;">
                <div class="nav-item text-nowrap text-md-end">
                    <a class="nav-link px-3" href="#" data-bs-toggle="modal" data-bs-target="#modalConfirmacionCerrarSesion" >
                        Cerrar Sesion
                    </a>
                </div>
            </div>
            </input>
        </header>
        <div class="container-fluid">
            <div class="row">
                <nav class="col-md-3 col-lg-2 d-md-block bg-dark sidebar collapse text-white" id="sidebarMenu" style="height: 95.2vh;">
                    <div class="position-sticky pt-3">
                        <ul class="nav nav-pills flex-column mb-auto">
                            <li class="nav-item">
                                <a aria-current="page" id="pagUsuario" class="nav-link text-white" href="#" onclick="getPaginaUsuarios()">
                                    <i class="bi bi-person-circle"></i>
                                    Usuarios
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-white" href="#">
                                    <i class="bi bi-file-earmark"></i>
                                    Ordenes
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-white" href="#">
                                    <i class="bi bi-cart"></i>
                                    Productos
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-white" href="#">
                                    <i class="bi bi-people"></i>
                                    Clientes
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-white" href="#">
                                   <i class="bi bi-graph-up"></i>
                                    Reportes
                                </a>
                            </li>
                        </ul>
                    </div>
                </nav>
                <!--CONTENIDO APARTIR DE AQUI-->
                <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4" id="idContent">
                </main>
            </div>
        </div>
        <script src="../src/jquery-3.6.0/jquery-3.6.0.min.js" type="text/javascript"></script>
        <script src="../src/bootstrap-5.1.3-dist/js/bootstrap.bundle.js" type="text/javascript"></script>

        <script type="text/javascript" src="src/datatables.min.js"></script>

        <script type="text/javascript" src="src/DataTables-1.12.1/js/dataTables.bootstrap.min.js"></script>
        <script type="text/javascript" src="src/JSZip-2.5.0/jszip.min.js"></script>
        <script type="text/javascript" src="src/pdfmake-0.1.36/pdfmake.min.js"></script>
        <script type="text/javascript" src="src/pdfmake-0.1.36/vfs_fonts.js"></script>
        <script type="text/javascript" src="src/Buttons-2.2.3/js/dataTables.buttons.min.js"></script>
        <script type="text/javascript" src="src/Buttons-2.2.3/js/buttons.bootstrap.min.js"></script>

        <script type="text/javascript" src="js/utils.js"></script>
        <script type="text/javascript" src="js/usuarios.js"></script>
        <script type="text/javascript">
            $(document).ready(function() {
                validarSesion();
            });

            function validarSesion(){
                $.get('functions/ValidarSesion.php', function(data, textStatus, xhr) {
                    let response = JSON.parse(data);
                    if (response.codigoRespuesta == 0) {
                        
                       getPaginaUsuarios();
                    }else{
                        location.href = "index.html";
                    }
                });
            }
        </script>
    </body>
</html>